Linux nginx 反向代理 jar包服务

作者:巩文    发表时间:09月27日 15:54    热度:59℃    评论:0
下面的命令 启动jar包 以 不挂断后台运行 (假设我们以jar包配置文件里指定服务端口号为8080端口)
nohup java -jar xxx.jar >/dev/null 2>&1 &

用命令确认 jar包是否正常启动,下面三个命令都可以进行确认
[root@gongwen javasite]# lsof -i :8080
COMMAND   PID USER   FD   TYPE   DEVICE SIZE/OFF NODE NAME
java    30188 root   34u  IPv4 19128600      0t0  TCP *:webcache (LISTEN)
[root@gongwen javasite]# netstat -tunlp
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address               Foreign Address             State       PID/Program name   
tcp        0      0 0.0.0.0:8080                0.0.0.0:*                   LISTEN      30188/java          
tcp        0      0 0.0.0.0:80                  0.0.0.0:*                   LISTEN      13221/nginx     
[root@gongwen javasite]# ps aux | grep java
root     30188  1.6 39.9 2383664 407400 ?      Sl   11:44   3:58 /usr/local/java/jdk1.8.0_181/bin/java -jar /data/javasite/xxx.jar
阅读全文

Linux jar包启动脚本

作者:巩文    发表时间:09月27日 14:54    热度:53℃    评论:0
#! /bin/bash
# springboot的jar放同级目录下即可,只能有一个jar文件
export PATH=$JAVA_HOME/bin:$PATH
CURRENT_PATH=$(cd "$(dirname "$0")"; pwd)
JAR=$(find $CURRENT_PATH -maxdepth 1 -name "*.jar")
PID=$(ps -ef | grep $JAR | grep -v grep | awk '{ print $2 }')

case "$1" in
    start)
        if [ ! -z "$PID" ]; then
            echo "$JAR 已经启动,进程号: $PID"
        else
            echo -n -e "启动 $JAR ... \n"
            cd $CURRENT_PATH
        nohup java -jar $JAR >/dev/null 2>&1 &
            if [ "$?"="0" ]; then
                echo "启动完成,请查看日志确保成功"
            else
                echo "启动失败"
            fi
        fi
        ;;
    stop)
        if [ -z "$PID" ]; then
            echo "$JAR 没有在运行,无需关闭"
        else
            echo "关闭 $JAR ..."
              kill -9 $PID
            if [ "$?"="0" ]; then
                echo "服务已关闭"
            else
                echo "服务关闭失败"
            fi
        fi
        ;;
    restart)
        ${0} stop
        ${0} start
        ;;
    kill)
        echo "强制关闭 $JAR"
        killall $JAR
        if [ "$?"="0" ]; then
            echo "成功"
        else
            echo "失败"
        fi
        ;;
    status)
        if [ ! -z "$PID" ]; then
            echo "$JAR 正在运行"
        else
            echo "$JAR 未在运行"
        fi
        ;;
  *)
echo "Usage: ./springboot {start|stop|restart|status|kill}" >&2
        exit 1
esac

Linux Linux环境安装JDK

作者:巩文    发表时间:09月27日 14:35    热度:52℃    评论:0

前期准备

去Oracle官网下载jdk,这里选择 "tar.gz"版本。i586是32位的,x64是64位的,根据自身Linux系统位数来选择。
我这里下载的是 jdk-8u181-linux-x64.tar.gz
下载地址 https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

第一步:解压 得到 jdk1.8.0_181文件夹
tar zxvf jdk-8u181-linux-x64.tar.gz 

第二步:创建/usr/local/java目录
mkdir -p /usr/local/java

第三步:拷贝解压目录文件到java目录
cp -rp /root/jdk1.8.0_181/ /usr/local/java
阅读全文

Linux mac环境 lnmp docker开发环境搭建

作者:巩文    发表时间:09月20日 14:41    热度:85℃    评论:0

第一步: 下载镜像

docker pull gongwen/lnmp:v1

第二步: 第二步运行镜像生成容器

docker run -it --name mylnmp gongwen/lnmp:v1 bash
第三步: 宿主机,新建目录 用来做docker的数据卷 注:yourPath是你指定的存放目录便可
mkdir -p yourPath/dockerData/Code/
mkdir -p yourPath/dockerData/NginxConfig/
mkdir -p yourPath/dockerData/PHPConfig/
mkdir -p yourPath/dockerData/Mysql/
阅读全文

大杂烩 Cornerstone无法查看log解决办法

作者:巩文    发表时间:2017年03月29日    热度:1678℃    评论:5

如果你使用Cornerstone管理svn,第一次查看log的时候悲催的选择了Download而不是Never,那么恭喜你你将无法查看log,进而也无法回滚了。解决方案如下:

退出Cornerstone

打开终端,执行   defaults delete com . zennaware . Connerstone HistoryCacheUsage

前往文件夹 ~/Library/Caches/Cornerstone 清空该文件夹下的文件

重新启动Cornerstone,再次查看log时选择Never就ok了